Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class ChangeFileAttachment_PopUp
    Inherits BaseObject


    Private _Status As eProductsDocumentationStatus
    Private _ChangeStatus As Boolean
    Private _RowGroup1 As String 'Szöveges csoportosítás (nem kötelező)
    Private _ChangeRowGroup1 As Boolean
    Private _RowGroup2 As String 'Szöveges másodlagos csoportosítás (nem kötelező)
    Private _ChangeRowGroup2 As Boolean



    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Public Property Status() As eProductsDocumentationStatus
        Get
            Return _Status
        End Get
        Set(ByVal value As eProductsDocumentationStatus)
            SetPropertyValue("Status", _Status, value)
        End Set
    End Property
    Public Property RowGroup1() As String
        Get
            Return _RowGroup1
        End Get
        Set(ByVal value As String)
            SetPropertyValue("RowGroup1", _RowGroup1, value)
        End Set
    End Property
    Public Property RowGroup2() As String
        Get
            Return _RowGroup2
        End Get
        Set(ByVal value As String)
            SetPropertyValue("RowGroup2", _RowGroup2, value)
        End Set
    End Property


    Public Property ChangeStatus() As Boolean
        Get
            Return _ChangeStatus
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("Status", _ChangeStatus, value)
        End Set
    End Property
    Public Property ChangeRowGroup1() As Boolean
        Get
            Return _ChangeRowGroup1
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("RowGroup1", _ChangeRowGroup1, value)
        End Set
    End Property
    Public Property ChangeRowGroup2() As Boolean
        Get
            Return _ChangeRowGroup2
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("RowGroup2", _ChangeRowGroup2, value)
        End Set
    End Property
   

End Class
